Subject: Re: [PATCH 3/4] DRBG: Fix format string for debugging statements

From: Stephan Mueller <[email-masked]>
Date: Sat, 05 Jul 2014 02:27:27 +0200

Am Freitag, 4. Juli 2014, 17:24:09 schrieb Joe Perches:

Hi Joe,

> On Sat, 2014-07-05 at 02:15 +0200, Stephan Mueller wrote:
> > Am Freitag, 4. Juli 2014, 17:09:33 schrieb Joe Perches:
> > > On Sat, 2014-07-05 at 01:57 +0200, Stephan Mueller wrote:
> > > > And I also get the same output. Yet I am not sure how that code can be
> > > > compared to the code in the kernel.
> > > 
> > > What that code shows is that the ARRAY_SIZE
> > > type is size_t.
> > > 
> > > The difference is ARRAY_SIZE in the kernel
> > > should be output with %zu.
> > 
> > Using %zu works without a warning on my 64 bit machine. So you are saying
> > that ARRAY_SIZE will always be size_t on every architecture? If yes, I
> > will update my patch.
> 
> Hi again.
> 
> ARRAY_SIZE is size_t in all architectures.

Thank you very much, this is the answer I was looking for :-)

I will update the patch accordingly.

-- 
Ciao
Stephan